Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class ParentSelector

    java.lang.Object
      org.exist.xquery.ParentSelector

All Implemented Interfaces:
  NodeSelector

public class ParentSelector
extends java.lang.Object
implements NodeSelector

Author:
  wolf

Constructor Summary
`ParentSelector(NodeSet contextSet, int contextId)`

Method Summary
`NodeProxy` | `match(DocumentImpl doc, NodeId nodeId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParentSelector

    public ParentSelector(NodeSet contextSet,
                          int contextId)

Method Detail

### match

    public NodeProxy match(DocumentImpl doc,
                           NodeId nodeId)

  Specified by:
    `match` in interface `NodeSelector`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.